jQueryプラグインを導入したら、GnaviD3でエラー

モジュールGnaviD3

 状態:  閲覧数:1,056  投稿日:2010-07-11  更新日:
jQueryプラグインを導入したら、GnaviD3でエラー。<br /><br />

根本的な解決策ではない対処法。<br />
jQueryプラグインは、トップページのみで利用していることが前提。<br /><br />

▼修正前(コード抜粋)
<pre class="brush: javascript; collapse: true; democode">
&lt;script type=&quot;text/javascript&quot;&gt;
$(document).ready(function(){
$('#gallery').gallery({
interval: 5500,
height: '340px',
width: '600px',
//barPosition: 'top'
ratio : '0.5',
thumbHeight: '90',
thumbWidth: '150',
//toggleBar: false
});
});
&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/application.js&quot;&gt;&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/prettify.js&quot;&gt;&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/plugins/jquery.easing.1.3.js&quot;&gt;&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/plugins/jquery.gallery.js&quot;&gt;&lt;/script&gt;
</pre>
<br />
<br />
▼修正後(コード抜粋)
<pre class="brush: javascript; collapse: true; democode">
&lt;{if ($xoops_requesturi == '/index.php' or $xoops_requesturi == '/')}&gt;
&lt;script type=&quot;text/javascript&quot;&gt;
jQuery(document).ready(function(){
$('#gallery').gallery({
interval: 5500,
height: '340px',
width: '600px',
//barPosition: 'top'
ratio : '0.5',
thumbHeight: '90',
thumbWidth: '150',
//toggleBar: false
});
});
&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/application.js&quot;&gt;&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/prettify.js&quot;&gt;&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/plugins/jquery.easing.1.3.js&quot;&gt;&lt;/script&gt;
&lt;script type=&quot;text/javascript&quot; src=&quot;&lt;{$xoops_imageurl}&gt;js/plugins/jquery.gallery.js&quot;&gt;&lt;/script&gt;
&lt;{/if}&gt;
</pre>


GnaviD3で、「テーマ下テンプレート内css」が適用されない

Google MAP API V2 に繋がらない。